image:
  repository: {{ sonarqube_image_repository | default(omit) }}

deploymentType: Deployment

postgresql:
  enabled: false
  postgresqlServer: sonar-db-ha
  postgresqlDatabase: sonar-db
  existingSecret: sonar-db-sonaruser-secret
  existingSecret: sonar-db-pguser-sonar-db
  existingSecretPasswordKey: password
  postgresqlUsername: sonar-db

plugins:
  httpsProxy: "{{ cloudinfra.internet_proxy.HTTPS_PROXY | default('') }}"
  install: 
    - https://github.com/vaulttec/sonar-auth-oidc/releases/download/v{{ deployments.sonar_auth_oidc.version }}/sonar-auth-oidc-plugin-{{ deployments.sonar_auth_oidc.version }}.jar
  image: {{ plugins_wget_image_repository | default(omit) }}
  
   
initSysctl:
  enabled: false

elasticsearch:
  configureNode: false
  bootstrapChecks: false

initContainers:
  securityContext: 
    runAsUser: 1000

replicaCount: 1

ingress:
  enabled: true
  hosts:
    - name: "{{ config.sonarqube.fqdn }}"
  annotations: 
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: {{ config.certmanager.issuer | default('none') }}
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
  tls: 
    - hosts:
      - "{{ config.sonarqube.fqdn }}"
      secretName: sonarqube-tls

prometheusExporter:
  enabled: false # nasty startup error, please investigate if you need the metrics
